SQLITE3_MODULE(3) | Library Functions Manual | SQLITE3_MODULE(3)

# NAME

`sqlite3_module` —
Virtual Table Object

# SYNOPSIS

struct sqlite3_module;

# DESCRIPTION

This structure, sometimes called a "virtual table module", defines the implementation of a virtual tables. This structure consists mostly of methods for the module.

A virtual table module is created by filling in a persistent instance of this structure and passing a pointer to that instance to sqlite3_create_module() or sqlite3_create_module_v2(). The registration remains valid until it is replaced by a different module or until the database connection closes. The content of this structure must not change while it is registered with any database connection.

# SEE ALSO

sqlite3(3), sqlite3_create_module(3)

December 19, 2018 | NetBSD 9.0